﻿/* Please see documentation at https://docs.microsoft.com/aspnet/core/client-side/bundling-and-minification
for details on configuring this project to bundle and minify static web assets. */

a.navbar-brand {
    white-space: normal;
    text-align: center;
    word-break: break-all;
}

/* Provide sufficient contrast against white background */
a {
    color: #0366d6;
}

.btn-primary {
    color: #fff;
    background-color: #1b6ec2;
    border-color: #1861ac;
}

.nav-pills .nav-link.active, .nav-pills .show > .nav-link {
    color: #fff;
    background-color: #1b6ec2;
    border-color: #1861ac;
}

/* Sticky footer styles
-------------------------------------------------- */
html {
    font-size: 14px;
}

@media (min-width: 768px) {
    html {
        font-size: 16px;
    }
}

.border-top {
    border-top: 1px solid #e5e5e5;
}

.border-bottom {
    border-bottom: 1px solid #e5e5e5;
}

.box-shadow {
    box-shadow: 0 .25rem .75rem rgba(0, 0, 0, .05);
    z-index: 1;
}

button.accept-policy {
    font-size: 1rem;
    line-height: inherit;
}

/* Sticky footer styles
-------------------------------------------------- */
html {
    position: relative;
    min-height: 100%;
}

body {
    margin-bottom: 60px;
    background-color: #ececec !important;
    font-family: 'Roboto', sans-serif;
}

.footer {
    position: absolute;
    bottom: 0;
    width: 100%;
    white-space: nowrap;
    line-height: 60px; /* Vertically center the text there */
}

.ss-card {
    background-color: #fff;
    -webkit-box-shadow: rgb(0 0 0 / 12%) 0px 3.2px 7.2px 0px, rgb(0 0 0 / 8%) 0px 0.6px 1.8px 0px;
    -moz-box-shadow: rgb(0 0 0 / 12%) 0px 3.2px 7.2px 0px, rgb(0 0 0 / 8%) 0px 0.6px 1.8px 0px;
    box-shadow: rgb(0 0 0 / 12%) 0px 3.2px 7.2px 0px, rgb(0 0 0 / 8%) 0px 0.6px 1.8px 0px;
    border: solid 1px rgb(199 199 199 / 20%);
    color: rgba(0,0,0,.87);
    margin: 3px;
    min-width: 290px;
    overflow: hidden;
    position: relative;
    display: -ms-flexbox;
    display: flex;
    -ms-flex-direction: column;
    flex-direction: column;
    min-width: 0;
    word-wrap: break-word;
    background-clip: border-box;
    border-radius: 4px;
}

    .ss-card::after {
        clear: both;
    }

    .ss-card::after, .ss-card::before {
        content: "";
        display: block;
    }

/* Asqm Thread Stuff */

@keyframes slideDown {
    from {
        transform: translateY(-100%);
        opacity: 0;
    }

    to {
        transform: translateY(0);
        opacity: 1;
    }
}

.asqm-card-attention {
    background-color: rgba(242, 242, 242, 1);
}

.asqm-card-new-reply {
    display: none;
    animation-name: slideDown;
    animation-duration: 0.5s;
}

.asqm-card-reply {
    margin-top: 10px;
    margin-left: 12px;
    margin-bottom: 8px;
    margin-right: 12px;
    font-size: 13px;
    font-weight: 600;
    color: rgba(0,0,0,.96);
}

.asqm-card-reply-date {
    font-weight: 400;
    color: rgba(0,0,0,.8);
}

.asqm-card-reply-body {
    font-weight: 400;
    font-size: 14px;
    font-family: -apple-system,BlinkMacSystemFont,"Segoe UI",Roboto,"Helvetica Neue",Arial,"Noto Sans",sans-serif,"Apple Color Emoji","Segoe UI Emoji","Segoe UI Symbol","Noto Color Emoji";
}

.asqm-card-reply-textarea {
    font-size: 15px;
    width: calc(100% - 12px) !important;
    margin-bottom: 0px !important;
}

.asqm-card-reply-more {
    position: absolute;
    right: 12px;
    margin-top: 5px;
    border-radius: 50%;
    width: 24px;
    height: 24px;
    text-align: center;
    cursor: default;
}

    .asqm-card-reply-more:hover {
        background: rgba(0, 0, 0, .12);
    }

.asqm-card-header {
    display: flex;
    height: 64px;
    overflow: hidden;
}

.asqm-card-info {
    display: grid;
}

    .asqm-card-info > a {
        margin-top: -8px;
    }

.asqm-card-body {
    padding: 8px 16px;
}

.asqm-card-solved {
    position: absolute !important;
    right: 0 !important;
    margin-top: 12px !important;
    display: flex !important;
    margin-right: 12px !important;
    background-color: #42a564 !important;
    color: #fff !important;
    cursor: auto !important;
    box-shadow: none !important;
}

    .asqm-card-solved > i {
        font-size: 21px;
        margin-right: 5px;
    }

    .asqm-card-solved > span {
        color: #fff !important;
    }

.asqm-card-markanswer {
    position: absolute;
    right: 0;
    margin-top: 12px;
    margin-right: 12px;
    background-color: #2A4159;
    color: #fff
}

.oval-img {
    height: 48px;
    max-width: 48px;
    border-radius: 50%;
    object-fit: cover;
    margin: 10px;
}

.oval-img-banner {
    height: 24px;
    max-width: 24px;
    border-radius: 50%;
    object-fit: cover;
    margin: 6px;
}

.asqm-header-user-type {
    margin-top: 12px;
    font-size: 13.75px;
}

.asqm-header-username {
    font-weight: 700;
    color: rgba(0,0,0, .86);
    font-size: 15px;
}

    .asqm-header-username:hover {
        opacity: .8;
    }

.asqm-post-date {
    font-size: 14px;
    color: rgba(0,0,0,.66);
    font-weight: 400;
}

.asqm-post-body {
    font-family: -apple-system,BlinkMacSystemFont,"Segoe UI",Roboto,"Helvetica Neue",Arial,"Noto Sans",sans-serif,"Apple Color Emoji","Segoe UI Emoji","Segoe UI Symbol","Noto Color Emoji";
    margin-top: 6px;
}

.asqm-img-container {
    margin: 6px auto;
    display: inline-flex;
    text-align: center
}

.dk-button {
    background: rgb(50,103,123);
    background: linear-gradient(90deg,rgba(51, 105, 125, 0.8) 0%,rgba(45, 104, 115, 0.96) 100%);
    border: none;
    color: white;
    padding: 8px 12px;
    text-align: center;
    text-decoration: none;
    display: inline-block;
    border-radius: 8px;
    font-size: 14.5px;
    margin: 4px 2px;
    cursor: pointer;
    font-weight: 600;
    box-shadow: 0 4px 8px 0 rgba(0,0,0,0.02), 0 6px 20px 0 rgba(0,0,0,0.08);
    transition: .1s;
}

    .dk-button:focus {
        outline: none;
    }

    .dk-button:hover {
        filter: drop-shadow(0px 0px 12px rgba(0,0,0, .28));
    }

.dk-button-small {
    padding: 4px 9px;
    font-size: 13px;
    margin: 2px 1px;
}

.asqm-entrance-flex {
    display: flex;
    flex-wrap: wrap;
}

.asqm-flex-item {
    margin: 4px;
    flex: 0 1 calc(25% - 8px);
    height: 267px;
    border-radius: 4px;
}

.asqm-square-item-lesson {
    margin-left: 6px;
    margin-top: 6px;
    font-weight: 700;
    margin-right: 6px;
    font-size: 13.5px;
}

.asqm-square-item-subject {
    margin-left: 6px;
    font-weight: 400;
    margin-top: -3px;
    margin-right: 6px;
    font-size: 13px;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}

.asqm-square-item-icon {
    font-size: 13.5px;
    margin-top: 4px;
}

/* TESTS */

.flex-container {
    display: flex;
    justify-content: start;
    flex-wrap: wrap;
}

.flex-cell {
    flex: 0 0 50%;
    display: flex;
    align-items: stretch;
    box-sizing: border-box;
    /* News! */
    height: 226px;
    margin-bottom: 12px;
}

    .flex-cell:before {
        content: '';
        display: table;
        padding-top: 100%;
    }

.flex-cell-index {
    flex: 0 0 50%;
    display: flex;
    align-items: stretch;
    box-sizing: border-box;
    /* News! */
    height: 226px;
    margin-bottom: 12px;
}

    .flex-cell-index:before {
        content: '';
        display: table;
        padding-top: 100%;
    }

#expandedPanel {
    display: none;
}

.asqmc-selection-card {
    width: 100%;
    display: flex;
    flex-direction: row !important;
    margin: 0; /* new testing */
}


@media only screen and (min-width: 768px) {
    .flex-cell {
        flex: 0 0 33%;
    }

    .flex-cell-index {
        flex: 0 0 33%;
    }

    #expandedPanel {
        display: none;
    }

    .asqmc-selection-card {
        width: 280px;
    }

    #asqm-expanded-container {
        display: none;
    }

    .wide-selection-card {
        width: 100%;
    }

    .dk-container {
        width: 100%;
        padding-right: 0px !important;
        padding-left: 0px !important;
        margin-right: auto;
        margin-left: auto;
        /*margin-top: 68px;*/
    }
}

@media only screen and (min-width: 1100px) {
    .flex-cell {
        flex: 0 0 25%;
    }

    .flex-cell-index {
        flex: 0 0 33%;
    }

    #expandedPanel {
        display: block;
    }
}

.flex-item {
    flex-grow: 1;
    display: flex;
    border-radius: 15px;
    margin: 0px 6px;
}

.selectable-item {
    transition: 0.3s;
    cursor: pointer;
}

    .selectable-item:hover {
        background-color: #ebebeb;
        box-shadow: 0px 0px 8px 1px rgba(0, 0, 0, 0.27);
    }

.selectable-item2 {
    cursor: pointer;
}

    .selectable-item2:hover {
        background-color: #f3f3f3;
    }

/* NEW TESTS */
* {
    margin: 0;
    padding: 0;
}

.asqm-content-flex {
    display: flex;
}

    .asqm-content-flex > div {
        width: 100px;
        /*margin: 10px;*/
        /*line-height: 75px;*/
    }

.asqm-lesson-listitem-name {
    padding-left: 12px;
    padding-bottom: 12px;
    padding-top: 12px;
    font-size: 14.75px;
    font-weight: 700;
    display: block;
}

    .asqm-lesson-listitem-name:hover {
        color: #007bff;
    }

.asqm-lesson-listitem-lpd {
    padding-left: 12px;
    padding-top: 12px;
    font-size: 13px;
    opacity: .8;
}

.asqm-solved-home {
    position: fixed;
    margin-left: 30px;
    margin-top: -104px;
    box-shadow: 5px 5px 15px -2px rgba(0,0,0,0.54);
}

.asqm-fill-img {
    overflow: hidden;
    background-size: cover;
    height: 270px;
    background-position: center;
}

ul, li {
    margin: 0;
    padding: 0;
    list-style: none;
}

h2 {
    margin-top: 0;
    margin-bottom: 0.4em;
}

/*Flex items*/
.list {
    display: flex;
}

.list-item {
    display: flex;
    height: 150px;
    width: 100%;
    overflow: hidden;
    border-radius: 8px;
}

.ali-deactive {
    background-color: #f2f2f2;
    border: none;
    transition: 0.3s;
}

    .ali-deactive:hover {
        background-color: #e1e1e1;
    }

.list-content {
    display: flex;
    flex-direction: column;
    padding-left: 4px;
    padding-right: 4px;
    width: 100%;
}

    .list-content p {
        flex: 1 0 auto;
    }

/*input[type="file"] {
    display: none;
}*/

.custom-file-upload {
    cursor: pointer;
}



/* Fullscreen Image Thingy */

#myImg {
    border-radius: 5px;
    cursor: pointer;
    transition: 0.3s;
}

    #myImg:hover {
        opacity: 0.6;
    }

/* The Modal (background) */
.modal {
    display: none; /* Hidden by default */
    position: fixed; /* Stay in place */
    z-index: 1; /* Sit on top */
    padding-top: 60px;
    padding-bottom: 20px;
    left: 0;
    top: 0;
    width: 100%; /* Full width */
    height: 100%; /* Full height */
    overflow: auto; /* Enable scroll if needed */
    background-color: rgb(0,0,0); /* Fallback color */
    background-color: rgba(0,0,0,0.9); /* Black w/ opacity */
}

/* Modal Content (image) */
.modal-content {
    margin: auto;
    display: block;
    width: 80%;
    max-width: 700px;
}

/* Caption of Modal Image */
#caption {
    margin: auto;
    display: block;
    width: 80%;
    max-width: 700px;
    text-align: center;
    color: #ccc;
    padding: 10px 0;
    height: 150px;
}

/* Add Animation */
.modal-content, #caption {
    -webkit-animation-name: zoom;
    -webkit-animation-duration: 0.6s;
    animation-name: zoom;
    animation-duration: 0.6s;
}

@-webkit-keyframes zoom {
    from {
        -webkit-transform: scale(0)
    }

    to {
        -webkit-transform: scale(1)
    }
}

@keyframes zoom {
    from {
        transform: scale(0)
    }

    to {
        transform: scale(1)
    }
}

/* The Close Button */

.close {
    position: absolute;
    top: 15px;
    right: 35px;
    color: #f1f1f1;
    font-size: 40px;
    font-weight: bold;
    transition: 0.3s;
}

    .close:hover,
    .close:focus {
        color: #bbb;
        text-decoration: none;
        cursor: pointer;
    }

/* 100% Image Width on Smaller Screens */
@media only screen and (max-width: 700px) {
    .modal-content {
        width: 100%;
    }
}

/* ASQM Composation Pages, Selection Divs */

.asqmc-selection-card-icon {
    font-size: 23px;
    padding: 18px 10px 20px 12px;
    color: #151515;
}

.asqmc-selection-title {
    margin-left: 6px;
    margin-top: 10px;
    font-size: 13px;
    font-weight: 600;
}

.asqmc-selector {
    width: 100%;
    margin-top: 6px;
    margin-left: 6px;
    margin-bottom: 10px;
    background-color: #fff;
    padding: 4px 3px;
    border: none;
    font-size: 14px;
}

.asqmc-selection-text {
    padding: 3px 6px;
    font-size: 15px;
}

.asqmc-imgpicker {
    width: 100px;
    height: 100px;
    margin-right: 6px;
    border-radius: 8px;
    -webkit-box-shadow: 0px 0px 2px 1px rgba(0,0,0,0.20);
    -moz-box-shadow: 0px 0px 2px 1px rgba(0,0,0,0.20);
    box-shadow: 0px 0px 2px 1px rgba(0,0,0,0.20);
}

.asqmc-img {
    display: none;
    width: 100px;
    height: 100px;
    object-fit: cover;
    border-radius: 8px;
    margin-right: 6px;
    margin-bottom: 6px;
    cursor: pointer;
    transition: 0.4s;
    -webkit-box-shadow: 0 0 4px 1px rgba(0,0,0,.2);
    -moz-box-shadow: 0 0 4px 1px rgba(0,0,0,.2);
    box-shadow: 0 0 4px 1px rgba(0,0,0,.2);
}

    .asqmc-img:hover {
        opacity: 0.7;
    }

.asqmc-picker-pick {
    position: relative;
    top: 50%;
    left: 50%;
    font-size: 38px;
    color: #3e74b6;
    opacity: .8;
    transform: translate(-50%, -50%);
}

.asqmc-text-area {
    height: 100px;
    width: 100%;
    margin: 6px;
    border-radius: 6px;
    background: rgba(246, 246, 246, 1);
    padding: 3px 6px;
    border-width: 1px;
    resize: none;
    border-color: rgba(0, 0, 0, 0.10);
}

/* Asqm Globals */

.asqm-floating-button {
    position: fixed;
    bottom: 0px;
    right: 0px;
    margin-right: 12px;
    margin-bottom: 12px;
    background-color: #3e74b6;
    display: flex;
    border-radius: 32px;
    padding: 12px 18px;
    font-size: 15px;
    -webkit-box-shadow: 0px 0px 15px 5px rgba(0,0,0,0.39);
    -moz-box-shadow: 0px 0px 15px 5px rgba(0,0,0,0.39);
    box-shadow: 0px 0px 15px 5px rgba(0,0,0,0.39);
    transition: 0.3s;
}


.stick-to-axis {
    margin-bottom: 0px;
    border-radius: 16px 16px 0px 0px;
    background-color: rgba(62, 116, 182, .96);
    float: right;
}

.dk-container {
    width: 100%;
    padding-right: 0px !important;
    padding-left: 0px !important;
    margin-right: auto;
    margin-left: auto;
    /*margin-top: 68px;*/
    font-family: 'Roboto', sans-serif !important;
}


/* ASQM POST ITEM DISPLAY CONTAINER STYLES */

.asqm-item-container-body {
    font-size: 14px;
    font-weight: 700;
    font-size: 19px;
    margin-top: 3px;
    margin-bottom: 3px;
    color: #000;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}

.asqm-item-container-head {
    margin-top: 3px;
    margin-left: 12px;
    margin-bottom: 6px
}

.asqm-item-container-poster {
    font-size: 13px;
    font-weight: 500;
    color: rgba(0,0,0,.92);
}

.asqm-item-container-date {
    font-size: 13px;
    font-weight: 400;
    color: rgba(0,0,0,.83);
}

.asqm-item-container-lesson {
    font-size: 13px;
    font-weight: 700;
    color: #2D445C;
}

.asqm-item-container-subject {
    font-size: 13px;
    font-weight: 400;
    color: #2D445C;
}

.asqm-item-container-img {
    height: 310px;
    width: 100%;
    object-fit: cover;
}

.asqm-item-container-panel {
    font-size: 14px;
    font-weight: 400;
    margin-left: 12px;
    padding-top: 10px;
    padding-bottom: 6px;
    color: rgba(0,0,0,.92);
}

    .asqm-item-container-panel > a > span {
        color: rgba(0,0,0,.92) !important;
    }

.asqm-item-container-solved {
    float: right;
    margin-right: 12px;
    background: #42A564;
    margin-top: -3px;
    color: white;
    padding: 8px 8px;
    border-radius: 5px;
    font-size: 12.75px;
    display: flex;
}

    .asqm-item-container-solved > i {
        margin-right: 3px;
        font-size: 18px;
        color: white;
    }

a {
    /*    text-decoration: none !important;*/
}

    /* unvisited link */
    a:link {
        text-decoration: none !important;
    }

    /* visited link */
    a:visited {
        text-decoration: none !important;
    }

    /* mouse over link */
    a:hover {
        text-decoration: none !important;
    }

    /* selected link */
    a:active {
        text-decoration: none !important;
    }


/* Sum Views */
.asqm-sum-container {
    margin: 10px;
    display: flex; /* test */
}

.asqm-sum-container-a {
    color: rgba(0,0,0,.86);
    width: 86%;
    font-weight: 500;
    white-space: nowrap;
    font-size: 14.75px;
    overflow: hidden;
    text-overflow: ellipsis;
}

    .asqm-sum-container-a > div {
        color: rgba(0,0,0,.62);
        font-size: 14px;
        font-weight: 400;
    }

.asqm-sum-container-img {
    width: 40px;
    height: 40px;
    margin-top: 3px;
    margin-right: 8px;
    object-fit: cover;
}

.asqm-sum-date {
    right: 0;
    position: absolute;
    margin-right: 12px;
}

.asqm-popup-test {
    position: fixed;
    z-index: 1090;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    overflow: auto;
    display: none;
    background-color: rgba(0, 0, 0, 0.5);
}

.asqm-popup-test2 {
    position: fixed;
    bottom: 0px;
    width: 100%;
    font-size: 15px;
    z-index: 1091;
    bottom: -366px;
    transition: 0.3s;
}

.mini-square {
    position: absolute;
    right: 0;
    margin-right: 6px;
    margin-top: 6px;
    -webkit-box-shadow: 0px 0px 10px 4px rgba(0,0,0,0.25);
    -moz-box-shadow: 0px 0px 10px 4px rgba(0,0,0,0.25);
    box-shadow: 0px 0px 10px 4px rgba(0,0,0,0.25);
}


.dk-floating-dialog {
    min-width: 264px;
    max-height: 380px;
    margin: auto;
    top: 50%;
    transform: translate(-50%, -50%);
    left: 50%;
    position: absolute;
}

.asqm-square-item-username {
    margin-left: 6px;
    font-weight: 600;
    margin-top: -3px;
    margin-right: 6px;
    font-size: 13px;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}

.asqm-text-current-user {
    color: #ff7600;
    font-weight: 700;
}

.asqm-text-poster-user {
    color: #3e74b6;
    font-weight: 700;
}

.floating-profile-button {
    margin-top: 16px;
    background-color: #ffffff;
    width: calc(100% - 60px);
    margin-left: 30px;
    box-shadow: 0px 0px 12px 2px rgba(0,0,0,.16);
    color: #346AAC;
    font-weight: 600;
    font-size: 15px;
}


/* ASQM VERTICAL LIST ITEMS */

.asqm-verticalitem-img-holder {
    height: 96px;
    width: 96px;
    background-color: #3e74b6;
}

.asqm-verticalitem-tcard {
    background-color: #efefef;
    margin: 6px;
    padding: 2px 8px;
    border-radius: 6px;
    font-size: 12px;
    box-shadow: 0px 0px 2px 1px rgba(0,0,0,.3);
}

.asqm-verticalitem-date {
    float: right;
    margin-right: 8px;
    font-size: 15px;
}

.asqm-verticalitem-body {
    font-size: 14px;
    margin: 6px;
}

.asqm-verticalitem-bottom {
    display: flex;
    position: absolute;
    bottom: 0;
    background: #f9f9f9;
    width: 100%;
    font-size: 14px;
    padding-left: 6px;
}

.asqm-verticalitem-mtext {
    padding: 4px;
}

.asqm-verticalitem-img {
    width: 100%;
    object-fit: cover;
    height: 100%;
}

.asqm-trp-button {
    display: inline-flex;
    background: transparent;
    box-shadow: none;
    font-size: 13.75px;
    color: rgba(0,0,0,.86);
    font-weight: 500;
}

    .asqm-trp-button > i {
        font-size: 18px;
        margin-top: 2px;
        margin-right: 6px;
    }

    .asqm-trp-button:hover {
        background: rgba(0,0,0,.12);
    }

.asqm-trp-button-small {
    font-size: 13.75px;
    color: rgba(0,0,0,.72);
    display: inline-flex;
    background: transparent;
    box-shadow: none;
    font-weight: 400;
    padding: 6px 8px;
}

    .asqm-trp-button-small > i {
        font-size: 15px;
        margin-top: 3px;
        margin-right: 6px;
    }

    .asqm-trp-button-small:hover {
        background: rgba(0,0,0,.12);
    }

/* Only For Custom Checkbox */

/* The container */
.cb-cont {
    display: block;
    position: relative;
    padding-left: 35px;
    margin-bottom: 12px;
    cursor: pointer;
    text-align: left;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}

    /* Hide the browser's default checkbox */
    .cb-cont input {
        position: absolute;
        opacity: 0;
        cursor: pointer;
        height: 0;
        width: 0;
    }

/* Create a custom checkbox */
.checkmark {
    position: absolute;
    top: 0;
    left: 0;
    height: 25px;
    width: 25px;
    background-color: #eee;
}

/* On mouse-over, add a grey background color */
.cb-cont:hover input ~ .checkmark {
    background-color: #ccc;
}

/* When the checkbox is checked, add a blue background */
.cb-cont input:checked ~ .checkmark {
    background-color: #2196F3;
}

/* Create the checkmark/indicator (hidden when not checked) */
.checkmark:after {
    content: "";
    position: absolute;
    display: none;
}

/* Show the checkmark when checked */
.cb-cont input:checked ~ .checkmark:after {
    display: block;
}

/* Style the checkmark/indicator */
.cb-cont .checkmark:after {
    left: 9px;
    top: 5px;
    width: 5px;
    height: 10px;
    border: solid white;
    border-width: 0 3px 3px 0;
    -webkit-transform: rotate(45deg);
    -ms-transform: rotate(45deg);
    transform: rotate(45deg);
}

input:focus, textarea:focus, button:focus {
    outline: none;
}


/* Finally Decided Styles For Headers! */

.asqm-h2 {
    font-size: 14.3px;
    font-weight: 700;
    color: #4a4a4a;
    margin: 12px;
    display: flex;
}

    .asqm-h2 > i {
        margin-right: 6px;
        font-size: 21px;
        margin-top: 1px;
    }

.ss-asqm-h2 {
    clear: both;
    margin-top: 12px;
    margin-bottom: 12px;
}

    .ss-asqm-h2 > span {
        margin-left: 12px;
        display: flex;
        font-size: 22px;
        font-weight: 400;
    }

        .ss-asqm-h2 > span > i {
            font-size: 22px;
            margin-top: 3px;
            margin-right: 8px;
        }


#dkLoginfoText {
    font-size: 13px;
    margin-top: 8px;
    margin-right: 6px;
    font-weight: 600;
    /*display: none;*/
}

/* Delirmeceler */

@media (min-width: 150px) {
    /*.container {
        max-width: 540px !important;
    }*/

    .asqmc-imgpicker {
        width: 80px;
        height: 80px;
    }

    .asqmc-img {
        width: 80px;
        height: 80px;
    }

    .dk-container {
        width: 100%;
        padding-right: 0px !important;
        padding-left: 0px !important;
        margin-right: auto;
        margin-left: auto;
        /*margin-top: 56px;*/
    }
}

@media (min-width: 390px) {
    /*.container {
        max-width: 540px !important;
    }*/

    .sswb-horad {
        width: 540px;
    }

    .asqmc-imgpicker {
        width: 100px;
        height: 100px;
    }

    .asqmc-img {
        width: 100px;
        height: 100px;
    }
}

@media (min-width: 576px) {
    /*.container {
        max-width: 540px !important;
    }*/

    .sswb-horad {
        width: 540px;
    }
}

@media (min-width: 768px) {
    /*.container {
        max-width: 720px !important;
    }*/

    .sswb-horad {
        width: 720px;
    }

    #dkLoginfoText {
        display: inline;
    }

    .asqmc-imgpicker {
        width: 120px;
        height: 120px;
    }

    .asqmc-img {
        width: 120px;
        height: 120px;
    }
}

.comm-summary-view {
    display: block;
}

.comm-dlist-primary {
    width: 100%;
    margin-bottom: 24px;
}

.comm-dlist-secondary {
    width: 100%;
    margin-bottom: 24px;
}

@media (min-width: 992px) {
    /*.container {
        max-width: 920px !important;
    }*/

    .sswb-horad {
        width: 920px;
    }

    .comm-summary-view {
        display: flex;
    }

    .comm-dlist-primary {
        width: 50%;
        margin-right: 3px
    }

    .comm-dlist-secondary {
        width: 50%;
        display: block;
        margin-left: 3px;
    }

    .dk-container {
        width: 100%;
        padding-right: 0px !important;
        padding-left: 0px !important;
        margin-right: auto;
        margin-left: auto;
        /*margin-top: 68px;*/
    }
}

@media (min-width: 1200px) {
    /*.container {
        max-width: 1090px !important;
    }*/

    .sswb-horad {
        width: 1000px;
    }
}

.ss-presenter {
    height: 48px;
    display: flex;
    font-size: 15px;
    position: relative;
    border-bottom: 1px solid rgba(0,0,0,.04);
}

.ss-presenter-endv {
    position: absolute;
    right: 12px;
    top: 50%;
    transform: translateY(-50%);
    font-weight: 600;
    background-color: #fff
}

    .ss-presenter-endv:hover {
        background-color: #e1e1e1 !important;
    }

.ss-presenter-child {
    display: flex;
    margin: auto 12px;
}

    .ss-presenter-child > i {
        font-size: 19px;
        margin-right: 12px;
        margin-top: auto;
        margin-bottom: auto;
    }

/* Dialogs */

.ss-dialog-title {
    font-size: 18px;
    font-weight: 700;
    text-align: center;
}

.ss-dialog-subtitle {
    font-size: 14px;
    font-weight: 700;
}

.ss-dialog-options-rmb {
    float: right;
    margin: 16px;
}


/* Context Menu */

#divtoshow {
    -webkit-animation-name: slideDown;
    -webkit-animation-duration: 0.2s;
    animation-name: slideDown;
    animation-duration: 0.2s;
}

.dk-context-item {
    display: flex;
    padding: 8px 21px;
    font-size: 14px;
    font-weight: 600;
    cursor: pointer;
}

    .dk-context-item:hover {
        background-color: rgba(232, 232, 232,1);
    }

    .dk-context-item > i {
        margin-right: 6px;
        color: #3e6380;
    }

.attn-modal {
    background-color: rgba(0,0,0,0.5);
    display: none;
    padding: 0px;
}

.attn-modal-close {
    float: right;
    margin-right: 12px;
    margin-top: 6px;
    background-color: #ffffff;
    color: #000;
    border-radius: 50%;
    width: 42px;
    height: 42px;
    font-size: 18px;
    box-shadow: 0 0 16px 1px rgba(0,0,0, .26);
}

    .attn-modal-close:hover {
        box-shadow: 0 0 24px 1px rgba(0,0,0, .46);
        background-color: #f1f1f1;
    }

#expandedPanel {
    width: 250px;
    margin-right: 18px;
}

/* Notifications */

.ss-notif-item {
    cursor: pointer;
    background-color: transparent;
    transition: .1s;
}

    .ss-notif-item:hover {
        background-color: #d8d8d8;
    }


.ss-notif-item-active {
    cursor: pointer;
    background-color: rgba(199, 214, 231, .6);
    transition: .1s;
}

    .ss-notif-item-active:hover {
        background-color: rgba(199, 214, 231, .9);
    }


.asqm-send-button {
    border: none;
    color: white;
    text-align: center;
    text-decoration: none;
    font-weight: 600;
    margin: 12px;
    background-color: #3e74b6;
    display: flex;
    border-radius: 32px;
    padding: 12px 18px;
    font-size: 15px;
    float: right;
    box-shadow: 0px 0px 12px 5px rgba(0,0,0,0.20);
    cursor: pointer;
}

.ntf-item-close {
    margin-right: 8px;
    margin-top: 10px;
    width: 32px;
    height: 32px;
    float: right;
    position: unset;
}

/* Adsense Loader Styles */

.adsense {
    width: 970px;
    height: 90px;
    display: block;
}

    .adsense:before {
        display: none !important;
    }

    .adsense ins {
        width: 100%;
        height: 100%;
        display: block;
    }

@media screen and ( max-width: 1024px ) {
    .adsense {
        width: 728px;
        height: 90px;
    }

        .adsense:before {
            content: '1024';
        }
}

@media screen and ( max-width: 800px ) {
    .adsense {
        width: 468px;
        height: 60px;
    }

        .adsense:before {
            content: '800';
        }
}

/* New Styles */

.material-icons {
    font-family: 'Material Icons';
    font-weight: normal;
    font-style: normal;
    user-select: none;
    font-size: 24px;
    line-height: 1;
    letter-spacing: normal;
    text-transform: none;
    display: inline-block;
    /*display: none;*/
    white-space: nowrap;
    word-wrap: normal;
    direction: ltr;
    -webkit-font-feature-settings: 'liga';
    -webkit-font-smoothing: antialiased;
}

.dk-action-button {
    float: right;
    margin-right: 4px;
    border-radius: 8px;
    display: flex;
    cursor: pointer;
    color: rgba(0, 0, 0, 0.78);
    padding: 6px 8px;
}

    .dk-action-button > i {
        font-size: 16px;
        margin-right: 3px;
    }

    .dk-action-button > span {
        font-size: 12.75px;
        margin-top: -2px;
    }

.dk-action-button-clickable:hover {
    background: rgba(0,0,0,.12);
}

.dk-action-button-active {
    color: #345e90;
}

.dk-action-button-deactive {
    color: rgba(0, 0, 0, 0.78);
}

.comm-display-item-title {
    font-size: 15px;
    margin-top: 2px;
    margin-bottom: 0px;
    font-weight: 700;
    color: #1a1a1a;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}

.comm-display-item-bodysum {
    margin-top: 0px;
    font-size: 14px;
    margin-bottom: 7px;
    color: #1a1a1a;
    width: 88%;
    margin-left: 4px;
    text-overflow: ellipsis;
    white-space: nowrap;
    overflow: hidden;
}

.comm-topic-header {
    margin-left: 12px;
    font-size: 21px;
    font-weight: 500;
    margin-top: 4px;
    margin-bottom: 14px;
}

.action-button-withouttext {
    padding: 8px 12px;
}

.oneline-tb-smart {
    height: 32px;
    font-size: 14px;
    border: none;
    box-shadow: 0px 0px 2px 1px rgba(0,0,0,.24);
    border-radius: 4px;
    padding: 2px 6px;
    width: unset;
}

.comm-likeable-survey-option {
    cursor: pointer;
    display: flex;
}

    .comm-likeable-survey-option > i {
        margin-top: auto;
        margin-bottom: auto;
        margin-left: 8px;
        font-size: 23px;
    }

    .comm-likeable-survey-option:hover {
        background-color: rgba(62, 116, 182, 0.16);
    }

        .comm-likeable-survey-option:hover > i {
            color: rgba(62, 116, 182, 1);
        }

/* Community Topic Reply Box Styles */

.comm-reply-box-holder {
    background-color: rgb(246, 246, 246);
    border-radius: 6px;
    width: calc(100% - 38px);
    margin-left: 18px;
    margin-right: 12px;
    margin-bottom: 10px;
    margin-top: 10px;
    display: table;
    padding: 6px 10px;
    box-shadow: rgba(87, 137, 195, .9) 0px 0px 2px 1px;
}

.comm-ditem-title {
    padding-bottom: 2px;
    padding-top: 8px;
    font-size: 14.5px;
    font-weight: 700;
    padding-left: 8px;
    color: rgba(0,0,0,0.80);
    display: block;
    white-space: nowrap;
    overflow: hidden;
    width: 60%;
    text-overflow: ellipsis;
}

    .comm-ditem-title:hover {
        color: rgba(0,0,0,1);
    }

    .comm-ditem-title:visited {
        color: rgba(0,0,0,.46);
    }

.comm-serial-item-category {
    margin-top: 5px;
    font-size: 12px;
    /*background-color: #007bff;*/
    background-color: #2D445C;
    padding: 3px 8px;
    color: white;
    border-radius: 4px;
    width: fit-content;
}

.comm-serial-item-title {
    font-size: 16.25px;
    font-weight: 700;
    margin-top: 4px;
    color: rgba(0,0,0,.76);
    margin-left: 4px;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}

.btfix {
    background: unset;
    background-color: #fff;
}

@keyframes w70 {
    from {
        background-color: orangered;
    }

    to {
        background-color: transparent;
    }
}

.focus-comm-reply {
    animation: w70 15s ease forwards;
}

.dk-page-header {
    color: #f5f5f5;
    -webkit-font-smoothing: antialiased;
    font-size: 22px;
    padding-left: 12px;
    padding-top: 28px;
    padding-right: 12px;
    display: flex;
    clear: both;
    margin-left: 4px;
    margin-right: 4px;
    flex-direction: column;
    padding-bottom: 13px;
    font-weight: 400;
    background: #32677b;
    background: linear-gradient(90deg,rgba(51,105,125,.8) 0%,rgba(45,104,115,.96) 100%);
    border-radius: 6px;
    margin-top: 12px;
    overflow: hidden;
}

.tab-t {
    font-weight: 500;
    cursor: pointer;
    padding: 12px 20px;
    font-size: 14px;
    color: rgba(0,0,0,.5);
}

    .tab-t:hover {
        opacity: .4;
    }

.selected-tab-t {
    font-weight: 700;
    cursor: pointer;
    padding: 12px 20px;
    font-size: 14px;
    color: rgba(0, 0, 0, 0.8);
}

    .selected-tab-t:hover {
        opacity: .8;
    }

.date-display-item {
    font-size: 13px;
    cursor: pointer;
    margin-left: 6px;
    margin-right: 6px;
    padding-left: 12px;
    padding-right: 12px;
    border-radius: 8px;
    white-space: nowrap;
    padding-top: 8px;
    padding-bottom: 8px;
    font-weight: 400;
    margin-top: 6px;
    margin-bottom: 6px;
}

    .date-display-item:hover {
        background-color: #f2f2f2;
    }

.ddi-header {
    background-color: #a8a8a8;
    color: #fff;
    cursor: unset;
}

.ddi-header-selected {
    background-color: #2d718e;
    color: #fff;
}

    .ddi-header-selected:hover {
        background-color: #307998;
    }

.ddi-selected-rect {
    background-color: #3e74b6;
}

.ddi-selected-rounnd {
    background-color: #3e74b6;
}

#date-ribbon {
    background-color: #fff;
    border-top: 1px solid rgba(0,0,0, .09);
    border-bottom: 1px solid rgba(0,0,0, .09);
    display: flex;
    flex-direction: row;
    width: 100%;
    height: 72px;
    overflow-x: scroll;
}

    #date-ribbon:hover {
        /*overflow-x: scroll;*/
    }

.dk-ntf-section-label {
    cursor: pointer;
    padding: 6px 4px;
    font-size: 11.75px;
    font-weight: 400;
    opacity: .9;
}

    .dk-ntf-section-label:hover {
        opacity: .7;
    }

.dk-ntf-section-label-active {
    cursor: pointer;
    padding: 6px 4px;
    font-size: 12.75px;
    font-weight: 500;
}


#product-container {
    display: flex;
    flex-wrap: wrap;
}


.product-box {
    width: 33.333%;
    height: 320px;
}

@media screen and ( max-width: 840px ) {
    .product-box {
        width: 50%;
        height: 335px;
    }
}

@media screen and ( max-width: 500px ) {
    .product-box {
        width: 100%;
        height: 335px;
    }
}

#catselect {
    display: none;
}


@media screen and (max-width: 1100px) {
    #catselect {
        padding: 4px 10px;
        height: 36px;
        align-self: center;
        display: block;
    }
}


.bht-button {
    display: inline-block;
    padding: 12px 20px;
    font-size: 14px;
    cursor: pointer;
    text-align: center;
    text-decoration: none;
    outline: none;
    color: #fff;
    background-color: #3f93ad;
    border: none;
    border-radius: 6px;
    box-shadow: 0px 3px 4px 1px rgb(0 0 0 / 30%);
}

    .bht-button:hover {
        background-color: #368199
    }

    .bht-button:active {
        background-color: #368199;
        box-shadow: 0px 3px 4px 1px rgb(0 0 0 / 50%);
        transform: translateY(3px);
    }

.ca-active {
    background-color: #478cad;
    color: white;
}

/* BC Product Pages */

.product-title-a {
    padding-left: 12px;
    padding-right: 12px;
    padding-top: 10px;
    font-size: 15.25px;
    font-weight: 500;
    color: #1a1a1a;
}

.product-category-a {
    padding-left: 12px;
    padding-right: 12px;
    color: #3c6395 !important;
    font-size: 13.5px;
    font-weight: 700;
}

.product-description-a {
    padding-left: 12px;
    padding-top: 7px;
    padding-right: 12px;
    padding-bottom: 3px;
    font-size: 13.75px;
    color: #101010 !important;
}

.product-image-a {
    height: 64%;
    width: 100%;
    object-fit: cover;
}

    .product-image-a > img {
        width: 100%;
        height: 100%;
        object-fit: cover;
    }

/* ### Modal ### */
/* The Modal (background) */
.modal {
    display: none; /* Hidden by default */
    position: fixed; /* Stay in place */
    z-index: 1; /* Sit on top */
    left: 0;
    top: 0;
    width: 100%; /* Full width */
    height: 100%; /* Full height */
    overflow: auto; /* Enable scroll if needed */
    background-color: rgb(0,0,0); /* Fallback color */
    background-color: rgba(0,0,0,0.4); /* Black w/ opacity */
}

/* Modal Content/Box */
.modal-content {
    background-color: #fefefe;
    display: flex;
    margin: 15% auto; /* 15% from the top and centered */
    padding: 20px;
    border: 1px solid #888;
    width: 80%; /* Could be more or less, depending on screen size */
}

/* The Close Button */
.close {
    color: #aaa;
    float: right;
    font-size: 28px;
    font-weight: bold;
}

    .close:hover,
    .close:focus {
        color: black;
        text-decoration: none;
        cursor: pointer;
    }

.product-page-swc {
    background: #2e5f76;
    padding: 5px 10px;
    color: white;
    border-radius: 4px;
}

/* Style the Image Used to Trigger the Modal */
#myImg {
    border-radius: 5px;
    cursor: pointer;
    transition: 0.3s;
}

    #myImg:hover {
        opacity: 0.7;
    }

/* The Modal (background) */
.picmod {
    display: none; /* Hidden by default */
    position: fixed; /* Stay in place */
    z-index: 1; /* Sit on top */
    padding-top: 100px; /* Location of the box */
    left: 0;
    top: 0;
    width: 100%; /* Full width */
    height: 100%; /* Full height */
    overflow: auto; /* Enable scroll if needed */
    background-color: rgb(0,0,0); /* Fallback color */
    background-color: rgba(0,0,0,0.9); /* Black w/ opacity */
}

/* Modal Content (Image) */
.picmod-content {
    margin: auto;
    display: block;
    width: 80%;
    max-width: 700px;
}

/* Add Animation - Zoom in the Modal */
.picmod-content {
    animation-name: zoom;
    animation-duration: 0.6s;
}

@keyframes zoom {
    from {
        transform: scale(0)
    }

    to {
        transform: scale(1)
    }
}

/* The Close Button */
.picmod-content-close {
    position: absolute;
    top: 15px;
    right: 35px;
    color: #f1f1f1;
    font-size: 40px;
    font-weight: bold;
    transition: 0.3s;
}

    .picmod-content-close:hover,
    .picmod-content-close:focus {
        color: #bbb;
        text-decoration: none;
        cursor: pointer;
    }

/* 100% Image Width on Smaller Screens */
@media only screen and (max-width: 700px) {
    .picmod-content {
        width: 100%;
    }
}

/* Razor Header Stylings */

body {
    margin: 0;
    padding: 0;
}

.main-header {
    width: 100%;
    height: 270px;
    color: white;
    background-color: #334c78;
    position: relative;
    margin-top: -10px;
}

.header-image {
    width: 100%;
    height: 100%;
    position: absolute;
    filter: brightness(0.5);
    object-fit: cover;
    opacity: .5;
}

.header-title {
    position: absolute;
    margin-left: 12px;
    margin-top: 14px;
    font-size: 24px;
}

.header-sub {
    position: absolute;
    margin-left: 12px;
    margin-top: 46px;
    margin-right: 12px;
}

.header-contact1 {
    display: flex;
    flex-direction: row;
    position: absolute;
    background-color: rgba(0,0,0,.4);
    color: white;
    height: 40px;
    padding-left: 12px;
    padding-right: 12px;
    border-radius: 6px;
    border-bottom-right-radius: 0px;
    right: 0;
    bottom: 0;
    margin-right: 12px;
    margin-bottom: 50px;
}

    .header-contact1 div {
        align-self: center;
        font-size: 21px;
    }

    .header-contact1 img {
        align-self: center;
        width: 29px;
        margin-left: 6px;
    }

.header-contact2 {
    position: absolute;
    background-color: rgba(0,0,0,.5);
    height: 38px;
    right: 0;
    justify-content: center;
    align-items: center;
    padding-left: 12px;
    border-radius: 6px;
    border-top-right-radius: 0px;
    border-top-left-radius: 0px;
    padding-right: 12px;
    color: white;
    font-size: 12.5px;
    display: flex;
    bottom: 0;
    margin-right: 12px;
    margin-bottom: 12px;
}

.container {
    padding-left: 0px;
    padding-right: 0px;
}

/*@media only screen and (max-width: 576px) {
    .container {
        padding-left: 12px;
        padding-right: 12px;
    }
}*/